tlp-stat(8)

NAME
tlp-stat - view power saving status

SYNOPSIS
tlp-stat [options] [-- CONFIG_PARAM=value ... ]

DESCRIPTION
View configuration, system information, kernel power saving settings and battery data. Invocation without options shows all information categories.

OPTIONS

-b, --battery
    View battery data. Add -v to see battery voltages (if available).

-c, --config
    View active configuration.

--cdiff
    View the difference between defaults and user configuration.

-d, --disk
    View disk device information.

-e, --pcie
    View PCIe device information. Add -v to see device runtime status.

-g, --graphics
    View graphics card information.

-p, --processor
    View processor information. For clarity the standard output shows only cpu0. Add -v to see all.

-r, --rfkill
    View radio device states.

-s, --system
    View system information.

-t, --temp
    View temperatures and fan speed.

-u, --usb
    View USB device information. Add -v to see device runtime status.

-v, --verbose
    Show more information in battery, PCIe, processor and USB categories.

Diagnostics and debugging:

-P, --pev
    Monitor power supply udev events.

--psup
    View power supply diagnostics.

-T, --trace
    View trace output.

--udev
    Check if udev rules for power source changes and connecting USB devices are active.

-w, --warn
    View warnings about SATA disks.

-- CONFIG_PARAM=value ...
    Append configuration parameters to a command. These temporarily override the system configuration during execution of that command only and are not kept afterwards. Disclaimer: this feature exists for the sole purpose of test automation during TLP's development. It is provided as is and there is no support whatsoever.

FILES
/etc/tlp.conf
    System-wide user configuration file, uncomment parameters here to override default settings and customization files below.

/etc/tlp.d/*.conf
    System-wide drop-in customization files, overriding defaults below.

/usr/share/tlp/defaults.conf
    Intrinsic default settings. DO NOT EDIT this file, instead use one of the above alternatives.

/run/tlp/run.conf
    Effective settings consolidated from all above files. DO NOT CHANGE this file, it is for reference only and regenerated on every invocation of TLP.

/etc/default/tlp
    Obsolete system-wide configuration file. DO NOT USE this file, it is evaluated as fallback only when /etc/tlp.conf is non-existent.

SEE ALSO
tlp(8).

AUTHOR
(c) 2023 Thomas Koch <linrunner at gmx.net>